package com.starbuds.server.im.server.ws.entity;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.pojo.user.LiveUserProfile;
import lombok.Data;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/1/6
 */
@Data
public class MsgPacket {
    /**
     * 消息 id（用于比如消息内容违规提示、或者撤回、删除等）
     */
    private String msgId;
    /**
     * 消息状态（0发送中、1已发送、10消息违规）
     */
    private Integer msgState;
    /**
     * 目标类型，和ImTargetType对应(1发给单用户、2发给群组、3发给所有)
     */
    private Integer targetType;

    /**
     * 发送者 id
     */
    private Long senderId;
    /**
     * 发送者资料
     */
    private LiveUserProfile senderProfile;

    /**
     * 目标 id
     */
    private Long targetId;
    /**
     * 群组 id
     */
    private String groupId;
    /**
     * 目标者资料（群组时目标就groupid，就直接把消息tio.sendgroup发到群组）
     */
    private LiveUserProfile targetProfile;

    /**
     * 提及者资料
     */
    private LiveUserProfile mentionProfile;

    /**
     * 消息体(包含msgType如private:msg:text)
     */
    private JSONObject msg;

}
