package com.starbuds.server.im.server.ws.listener;

import org.springframework.stereotype.Component;
import org.tio.core.ChannelContext;
import org.tio.core.TioConfig;
import org.tio.core.intf.Packet;
import org.tio.core.stat.IpStat;
import org.tio.core.stat.IpStatListener;

/**
 * IP 状态监听
 *
 * @author Lay
 * @date 2020/1/5
 */
@Component
public class ImIpStatListener implements IpStatListener {
    /**
     * 统计时间段到期后，用户可以在这个方法中实现把相关数据入库或是打日志等
     *
     * @param tioConfig
     * @param ipStat
     */
    @Override
    public void onExpired(TioConfig tioConfig, IpStat ipStat) {

    }

    /**
     * 建链后触发本方法，注：建链不一定成功，需要关注参数isConnected
     *
     * @param channelContext
     * @param b
     * @param b1
     * @param ipStat
     * @throws Exception
     */
    @Override
    public void onAfterConnected(ChannelContext channelContext, boolean b, boolean b1, IpStat ipStat) throws Exception {

    }

    /**
     * 解码异常时
     *
     * @param channelContext
     * @param ipStat
     */
    @Override
    public void onDecodeError(ChannelContext channelContext, IpStat ipStat) {

    }

    /**
     * 发送后（注：不一定会发送成功）
     *
     * @param channelContext
     * @param packet
     * @param b
     * @param ipStat
     * @throws Exception
     */
    @Override
    public void onAfterSent(ChannelContext channelContext, Packet packet, boolean b, IpStat ipStat) throws Exception {

    }

    /**
     * 解码成功后
     *
     * @param channelContext
     * @param packet
     * @param i
     * @param ipStat
     * @throws Exception
     */
    @Override
    public void onAfterDecoded(ChannelContext channelContext, Packet packet, int i, IpStat ipStat) throws Exception {

    }

    /**
     * 接收到一些字节数据后
     *
     * @param channelContext
     * @param i
     * @param ipStat
     * @throws Exception
     */
    @Override
    public void onAfterReceivedBytes(ChannelContext channelContext, int i, IpStat ipStat) throws Exception {

    }

    /**
     * 处理一个消息包后
     *
     * @param channelContext
     * @param packet
     * @param ipStat
     * @param l
     * @throws Exception
     */
    @Override
    public void onAfterHandled(ChannelContext channelContext, Packet packet, IpStat ipStat, long l) throws Exception {

    }
}
